# rbtenums.py:
# Определение предопределенных сообщений и/или констант

# Сообщения успешно/ошибочно выполненной операции
MESSAGE_SUCCESS = 'успех'
MESSAGE_ERROR = 'ОШИБКА'

# Статусы сервиса:
STATUS_OK = 'OK'
STATUS_ERROR = 'ERROR'
STATUS_NOT_SET = 'NOT_SET'

# Доступные операции скрипта (для каждой создается парсер)
OPERATION_CONFIGURE = 'configure'
OPERATION_RESET = 'reset'
OPERATION_MODES = 'modes'
OPERATION_STATUS = 'status'
OPERATION_SERVICES_LIST = 'services_list'

OPERATIONS = [OPERATION_CONFIGURE, OPERATION_RESET, OPERATION_MODES, OPERATION_STATUS]

# Режимы конфигурирования/деконфигурирования сервисов
MODE_PAM = 'pam'
MODE_ALD = 'ald'

# Описание режимов конфигурирования/деконфигурирования скрипта
MODE_PAM_DESCRIPTION = 'Работа сервиса в режиме PAM'
MODE_ALD_DESCRIPTION = 'Работа сервиса в режиме ALD'

# Расширенное описание режимов конфигурирования/деконфигурирования скрипта
MODE_PAM_EXTENDED_DESCRIPTION = 'Обеспечение работы сервиса с аутентификацией PAM'
MODE_ALD_EXTENDED_DESCRIPTION = 'Обеспечение работы сервиса в ALD с аутентификацией Kerberos'

# Сводная информация о режимах
MODES = {
    MODE_PAM: (MODE_PAM_DESCRIPTION, MODE_PAM_EXTENDED_DESCRIPTION),
    MODE_ALD: (MODE_ALD_DESCRIPTION, MODE_ALD_EXTENDED_DESCRIPTION)
}

# Предопределенные имена ключей словаря MESSAGES
CONFIGURE = 'configure'
RESET = 'reset'

# Сообщения, выводимые при успехе/ошибке конфигурации/деконфигурации сервиса
# Предполагается следующий формат значения параметра:
# {configure: {MODE_PAM: 'Сообщение', MODE_ALD:'Сообщение',...},
#  reset: {...} }
MESSAGES = 'messages'

# Параметр, с помощью которого можно перегрузить расширенные описания режимов работы сервиса
# Предполагается следующий формат:
# {MODE_PAM: 'message', MODE_ALD; 'message2', ... }
EXTENDED_DESCRIPTIONS = 'extended_descriptions'

# Параметр, с помощью которого указывается список пакетов, необходимых для конфигурирования сервиса в различных режимах
# Предполагается следующий формат:
# {MODE_PAM: [package_list], MODE_ALD: [package_list2], ... }
# Отсутствие в этом словаре какого-либо из элементов говорит о том, что обязательных пакетов для конфигурирования
# не существует
REQUIRED_PACKAGES = 'required_packages'

# Параметр, с помощью которого определяеются пары неподдерживаемых режимов конфигурирования сервиса одновременно
# Предполагается следующий формат:
# [(..,..), ()]
INCOMPATIBLE_MODES = 'incompatible_modes'

# Параметр, определяющий параметры подключения к ALD
AUTH_DATA = 'auth_data'

# Параметр, определяющий директорию для keytab
# Если не указан, то используется директория сервиса
KEYTAB_DIRECTORY = 'keytab_directory'

# Параметр, определяющий имя файла keytab
# По умолчанию используется krb5.keytab
KEYTAB_FILE_NAME = 'keytab_file_name'

# Параметр, задающий имя принципала Kerberos
# Если не указан, то именем принципала является имя сервиса
KRB_PRINCIPAL_NAME = 'krb_principal_name'

# Параметр, позволяющий не менять владельца keytab при его создании/записи
CHOWN_KEYTAB_OWNER = 'chown_keytab_owner'

# Параметр, определяющий имя сервиса init.d
# Если не указан, используется имя сервиса service_name класса BaseScript
INIT_D_SERVICE_NAME = 'init_d_service_name'
